create or replace PROCEDURE ADD_MEDCA_PROCE 
(DOC IN VARCHAR2, IDBI IN NUMBER, IDCM IN NUMBER, IDCO IN NUMBER, IDTR IN NUMBER) IS
VALOR NUMBER;
NUID NUMBER;
FRE NUMBER;
CM FLOAT;
BEGIN
    IF(IDBI=0) THEN
    INSERT INTO MEDICAMENTO
    (DOCIS_MED, ID_BITACORA ,ID_CAT_MEDI, ID_COSTO, ID_TRATAMIENTO) VALUES
    (DOC, NULL, IDCM, IDCO, IDTR );
    COMMIT;
    SELECT TOTAL_COSTO INTO VALOR FROM COSTOSPORSERVICIOS WHERE ID_COSTO=IDCO;
    SELECT FRECUENCIA_TRA INTO FRE FROM TRATAMIENTOMEDICO WHERE ID_TRATAMIENTO=IDTR;
    SELECT COSTO_MED INTO CM FROM CATALOGOMEDICAMENTO WHERE ID_CAT_MEDI=IDCM;
    VALOR:=VALOR+(FRE*CM);
    UPDATE COSTOSPORSERVICIOS
    SET TOTAL_COSTO=VALOR
    WHERE ID_COSTO=IDCO;
    COMMIT;
    END IF;
    IF(IDTR=0)THEN
    INSERT INTO MEDICAMENTO 
    (DOCIS_MED, ID_BITACORA ,ID_CAT_MEDI, ID_COSTO, ID_TRATAMIENTO) VALUES
    (DOC, IDBI, IDCM, IDCO, NULL );
    COMMIT;
    END IF;
END;